GH-PR(1)

NAME
gh-pr - Manage pull requests

SYNOPSIS
gh pr <command> [flags]

DESCRIPTION
Work with GitHub pull requests.

GENERAL COMMANDS

gh-pr-create(1)
    Create a pull request

gh-pr-list(1)
    List pull requests in a repository

gh-pr-status(1)
    Show status of relevant pull requests

TARGETED COMMANDS

gh-pr-checkout(1)
    Check out a pull request in git

gh-pr-checks(1)
    Show CI status for a single pull request

gh-pr-close(1)
    Close a pull request

gh-pr-comment(1)
    Add a comment to a pull request

gh-pr-diff(1)
    View changes in a pull request

gh-pr-edit(1)
    Edit a pull request

gh-pr-lock(1)
    Lock pull request conversation

gh-pr-merge(1)
    Merge a pull request

gh-pr-ready(1)
    Mark a pull request as ready for review

gh-pr-reopen(1)
    Reopen a pull request

gh-pr-revert(1)
    Revert a pull request

gh-pr-review(1)
    Add a review to a pull request

gh-pr-unlock(1)
    Unlock pull request conversation

gh-pr-update-branch(1)
    Update a pull request branch

gh-pr-view(1)
    View a pull request

OPTIONS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh pr checkout 353
    $ gh pr create --fill
    $ gh pr view --web

SEE ALSO
gh(1)